%define		plugin	check_ipmi_sensor_v3
%include	/usr/lib/rpm/macros.perl
Summary:	Monitoring plugin to check IPMI sensors
Name:		monitoring-plugin-%{plugin}
Version:	3.12
Release:	1
License:	GPL v3+
Group:		Networking
Source0:	https://github.com/thomas-krenn/check_ipmi_sensor_v3/archive/v%{version}/%{plugin}-%{version}.tar.gz
# Source0-md5:	74fbfcc48bdbb6e4101f2fcaaea248a1
Source1:	%{plugin}.cfg
URL:		https://www.thomas-krenn.com/en/wiki/IPMI_Sensor_Monitoring_Plugin
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.685
Requires:	freeipmi
Requires:	nagios-common >= 3.2.3-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		nrpeddir	/etc/nagios/nrpe.d
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Nagios/Icinga plugin to check IPMI sensors.

%prep
%setup -q -n %{plugin}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{nrpeddir},%{plugindir}}
install -p check_ipmi_sensor $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg
touch $RPM_BUILD_ROOT%{nrpeddir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- nagios-nrpe
%nagios_nrpe -a %{plugin} -f %{_sysconfdir}/%{plugin}.cfg

%triggerun -- nagios-nrpe
%nagios_nrpe -d %{plugin} -f %{_sysconfdir}/%{plugin}.cfg

%files
%defattr(644,root,root,755)
%doc README changelog.txt
%doc contrib/default-combinedgraph.template
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%ghost %{nrpeddir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%changelog
* Fri Jul 21 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/monitoring-plugin-check_ipmi_sensor_v3.git;a=log;h=master

* Fri Jul 21 2017 Elan Ruusamäe <glen@pld-linux.org> 210d24d
- rel 1

* Fri Jul 21 2017 Elan Ruusamäe <glen@pld-linux.org> 54f3834
- nrpe setup hook

* Fri Jul 21 2017 Elan Ruusamäe <glen@pld-linux.org> ad8aabb
- sane interval defaults

* Fri Jul 21 2017 Elan Ruusamäe <glen@pld-linux.org> 3139260
- requires freeipmi for ipmi-sel

* Fri Jul 21 2017 Elan Ruusamäe <glen@pld-linux.org> 15410ce
- rename to monitoring-plugin

* Fri Jul 21 2017 Elan Ruusamäe <glen@pld-linux.org> 085560f
- build with perl deps

* Fri Jul 21 2017 Elan Ruusamäe <glen@pld-linux.org> 02ea5bf
- add nagios config

* Fri Jul 21 2017 Elan Ruusamäe <glen@pld-linux.org> 86a550a
- new, version 3.12

